|  | Home · All Classes · Modules

# QMatrix3x4 Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, QMatrix3x4 other)
- __init__ (self, sequence-of-float values)
- list-of-float copyDataTo (self)
- list-of-float data (self)
- fill (self, float value)
- bool isIdentity (self)
- setToIdentity (self)
- QMatrix4x3 transposed (self)

### Special Methods

- bool __eq__ (self, QMatrix3x4)
- object __getitem__ (self, object)
- QMatrix3x4 __iadd__ (self, QMatrix3x4)
- QMatrix3x4 __idiv__ (self, float)
- QMatrix3x4 __imul__ (self, float)
- QMatrix3x4 __isub__ (self, QMatrix3x4)
- bool __ne__ (self, QMatrix3x4)
- str __repr__ (self)
- __setitem__ (self, object, float)

## Detailed Description

This class can be pickled.

## Method Documentation

### QMatrix3x4.__init__ (self)

### QMatrix3x4.__init__ (self, QMatrix3x4 other)

### QMatrix3x4.__init__ (self, sequence-of-float values)

### list-of-float QMatrix3x4.copyDataTo (self)

### list-of-float QMatrix3x4.data (self)

### QMatrix3x4.fill (self, float value)

### bool QMatrix3x4.isIdentity (self)

### QMatrix3x4.setToIdentity (self)

### QMatrix4x3 QMatrix3x4.transposed (self)

### bool QMatrix3x4.__eq__ (self, QMatrix3x4)

### object QMatrix3x4.__getitem__ (self, object)

### QMatrix3x4 QMatrix3x4.__iadd__ (self, QMatrix3x4)

### QMatrix3x4 QMatrix3x4.__idiv__ (self, float)

### QMatrix3x4 QMatrix3x4.__imul__ (self, float)

### QMatrix3x4 QMatrix3x4.__isub__ (self, QMatrix3x4)

### bool QMatrix3x4.__ne__ (self, QMatrix3x4)

### str QMatrix3x4.__repr__ (self)

### QMatrix3x4.__setitem__ (self, object, float)